# $Id: perl-Text-Unaccent.spec 7981 2009-11-03 03:05:34Z dag $
# Authority: dries
# Upstream: Loic Dachary <loic$senga,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Text-Unaccent

Summary: Remove accents from a string
Name: perl-Text-Unaccent
Version: 1.08
Release: 1.2%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Text-Unaccent/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Text/Text-Unaccent-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Text::Unaccent is a module that provides functions to remove accents
from a string.  For instance the string été will become ete.  The
charset of the input string is specified as an argument. The input is
converted to UTF-16 using iconv(3), accents are stripped and the
result is converted back to the original charset. The iconv -l
command on GNU/Linux will show all charset supported.

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog README
%doc %{_mandir}/man3/*.3pm*
%dir %{perl_vendorarch}/Text/
%{perl_vendorarch}/Text/Unaccent.pm
%dir %{perl_vendorarch}/auto/Text/
%{perl_vendorarch}/auto/Text/Unaccent/

%changelog
* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.08-1 - 7981/dag
- Initial package.
